# Generated by Django 4.1.7 on 2023-05-03 09:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('discussion_app', '0031_discussion_deposit_transferred'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserThemes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('themes', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_themes', to='discussion_app.discussiontheme', verbose_name='Themes')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_themes', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'User Theme',
                'verbose_name_plural': 'User Themes',
                'unique_together': {('user', 'themes')},
            },
        ),
    ]
